# Changelog

## 3.1.0

* Make the api compatible with other countries than france and tunisia

## 3.0.1

* Fix the condition to detect if the country package has decompositions.
    * Only load decompositions if `tax_benefit_system` has a `DECOMP_DIR` attribute

## 3.0.0

* Adapt parsers to core#v4

* Breaking change:
    * Route /1/entities deprecated, replaced by /2/entities with different structure.

## 2.0.3

* Refactor middlewares in order to send error emails *and* returning JSON with correct content-type.

## 2.0.2

* Remove any mention to `conda` in README, since we use `pip` now.

## 2.0.1

* In some cases in `/variables` endpoint, `source_file_path` of each variable was wrong if application was deployed
  in a virtualenv. This fix uses `importlib` to get the path of the country package instead of `pkg_resources`.

## 2.0.0

* Update introspection data (via OpenFisca-Core update)
* Add country_package_name to parameters and variables endpoints
* Add debug logging to load_environment
* Do not pre-load 2 years in debug mode
* Add currency to variables endpoint

## 1.2.2

* Update travis procedures

## 1.2.1 – [diff](https://github.com/openfisca/openfisca-web-api/compare/1.2.0...1.2.1)

* Fix run-travis-tests.sh to repair automatic pypi releasing

## 1.2.0 – [diff](https://github.com/openfisca/openfisca-web-api/compare/1.1.0...1.2.0)

* Declare TBS extensions in configuration file

## 1.1.0 – [diff](https://github.com/openfisca/openfisca-web-api/compare/1.0.4...1.1.0)

* Add openfisca-serve CLI script to quickly launch the api with a basic conf

## 1.0.4 – [diff](https://github.com/openfisca/openfisca-web-api/compare/1.0.3...1.0.4)

* Update numpy dependency to 1.11

## 1.0.3 – [diff](https://github.com/openfisca/openfisca-web-api/compare/1.0.2...1.0.3)

* Apply core API changes introduced by openfisca-core 2.0

## 1.0.2 – [diff](https://github.com/openfisca/openfisca-web-api/compare/1.0.1...1.0.2)

* Force updating version number and CHANGELOG.md before merging on master
* Release tag and Pip version automatically

## 1.0.1 – [diff](https://github.com/openfisca/openfisca-web-api/compare/1.0.0...1.0.1)

* Use package version instead of git sha.

## 1.0.0 – [diff](https://github.com/openfisca/openfisca-web-api/compare/0.5.2...1.0.0)

* Switch to [semantic versioning](http://semver.org/)

## 0.5.2 – [diff](https://github.com/openfisca/openfisca-web-api/compare/0.5.1...0.5.2)

* Misc updates

## 0.5.1 – [diff](https://github.com/openfisca/openfisca-web-api/compare/0.5.0...0.5.1)

* Remove docs, move to openfisca-gitbook repo
* Update to travis new infrastructure
* Do not install scipy in travis

## 0.5.0

* First release uploaded to PyPI
